Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class PushDecisionRequestType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.PushDecisionRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class PushDecisionRequestType extends Object implements Serializable
Groeperend element voor de beslissing van een aanvraag of een aflevering in de push naar de verstrekker.

Java class for PushDecisionRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PushDecisionRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
             <choice>
               <element name="DecisionApplication" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DecisionApplicationType"/>
               <element name="DecisionDelivery" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}DecisionDeliveryType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PushDecisionRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DecisionApplicationType`
  `getDecisionApplication()`
  Groeperend element met informatie over de beslissing van de aanvraag.
  `DecisionDeliveryType`
  `getDecisionDelivery()`
  Groeperend element met informatie over de beslissing van de aflevering.
  `String`
  `getVSBReference()`
  Unieke identificatie van de aanvraag waarvoor de beslissing aanvraag of beslissing aflevering gemeld wordt.
  `void`
  `setDecisionApplication(DecisionApplicationType value)`
  Sets the value of the decisionApplication property.
  `void`
  `setDecisionDelivery(DecisionDeliveryType value)`
  Sets the value of the decisionDelivery property.
  `void`
  `setVSBReference(String value)`
  Sets the value of the vsbReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PushDecisionRequestType

    public PushDecisionRequestType()

- ## Method Details

  - ### getVSBReference

    public String getVSBReference()
    Unieke identificatie van de aanvraag waarvoor de beslissing aanvraag of beslissing aflevering gemeld wordt.
    Returns:
      possible object is `String`

  - ### setVSBReference

    public void setVSBReference(String value)
    Sets the value of the vsbReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVSBReference()`

  - ### getDecisionDelivery

    public DecisionDeliveryType getDecisionDelivery()
    Groeperend element met informatie over de beslissing van de aflevering.
    Returns:
      possible object is `DecisionDeliveryType`

  - ### setDecisionDelivery

    public void setDecisionDelivery(DecisionDeliveryType value)
    Sets the value of the decisionDelivery property.
    Parameters:
      `value` - allowed object is `DecisionDeliveryType`
    See Also:
      - `getDecisionDelivery()`

  - ### getDecisionApplication

    public DecisionApplicationType getDecisionApplication()
    Groeperend element met informatie over de beslissing van de aanvraag.
    Returns:
      possible object is `DecisionApplicationType`

  - ### setDecisionApplication

    public void setDecisionApplication(DecisionApplicationType value)
    Sets the value of the decisionApplication property.
    Parameters:
      `value` - allowed object is `DecisionApplicationType`
    See Also:
      - `getDecisionApplication()`